package oop.Polymorphism;

public class HourlyMitarbeiter extends Mitarbeiter {
	
	private double arbeitsstundenpreis;
	private int stundensatz;
	
	public double getArbeitsstundenpreis() {
		return arbeitsstundenpreis;
	}
	
	public void setArbeitsstundenpreis(double arbeitsstundenpreis) {
		this.arbeitsstundenpreis = arbeitsstundenpreis;
	}
	
	public int getStundensatz() {
		return stundensatz;
	}
	
	public void setStundensatz(int stundensatz) {
		this.stundensatz = stundensatz;
	}
	
	
	@Override
	public double getGehalt() {
		
		return arbeitsstundenpreis * stundensatz;
	}
	
	public HourlyMitarbeiter() {}

	
	
	public HourlyMitarbeiter(String name, String adresse, String abteilung, String email, double gehalt,double arbeitsstundenpreis,int stundensatz ) {
		super(name, adresse, abteilung, email, gehalt);
		this.arbeitsstundenpreis = arbeitsstundenpreis;
		this.stundensatz = stundensatz;
	}
	
	

}
